Subject: Re: bug#65889: texlive-acronyms is missing dependencies

From: Bruno Victal <[email-masked]>
Date: Sun, 1 Oct 2023 17:01:44 +0100

Hi Josselin,

On 2023-09-14 14:13, Josselin Poiret via Bug reports for GNU Guix wrote:
> Couldn't we report those missing dependencies upstream then?

This can be done, in theory it's nothing too complicated and all it takes
is simply add a DEPENDS.txt file to the repository.
If you're interested in doing this, see [1] and [2] for information.

As Nicolas has pointed out, it's untenable to do an exhaustive listing of
the dependencies so I'd recommend installing some typical collections first
such as `texlive-collection-latexrecommended' and only then report the
missing non-obvious dependencies for inclusion in a DEPENDS.txt to upstream.

[1]: <https://tex.stackexchange.com/a/598696>
[2]: <https://www.tug.org/texlive/pkgcontrib.html#deps>

-- 
Furthermore, I consider that nonfree software must be eradicated.

Cheers,
Bruno.